Mono.CSharp 2.1.0.0 System.Object The default base class for every interaction line The expressions and statements behave as if they were a static method of this class. The InteractiveBase class contains a number of useful methods, but can be overwritten by setting the InteractiveBaseType property in the Evaluator
- Field
  2.1.0.0
  System.String The secondary prompt. The secondary prompt is used for interactive use (used when an expression is incomplete).
- Method
  2.1.0.0
  System.String `` An object or a type. Describes an object or a type. A user friendly rendering of the type. This method will show a textual representation of the object's type. If the object is a System.Type it renders the type directly, otherwise it renders the type returned by invoking GetType on the object.
- Field
  2.1.0.0
  System.IO.TextWriter Determines where the standard error of methods in this class will go.
- Property
  2.1.0.0
  System.String Returns a list of available static methods.
- Method
  2.1.0.0
  System.Void `` The file to load. Loads the assembly Loads the specified assembly and makes its types available to the evaluator. This is equivalent to passing the -pkg: command line flag to the C# compiler on the command line.
- Method
  2.1.0.0
  System.Void `` The name of the package to load. Loads the assemblies from a package Loads the assemblies from a package. This is equivalent to passing the -pkg: command line flag to the C# compiler on the command line.
- Field
  2.1.0.0
  System.IO.TextWriter Determines where the standard output of methods in this class will go.
- Field
  2.1.0.0
  System.String The primary prompt used for interactive use. This is the primary prompt to be used by read-eval-print-loop implementations.
- Property
  2.1.0.0
  System.Object Indicates to the read-eval-print-loop that the interaction should be finished.
- Field
  2.1.0.0
  System.Boolean Used to signal that the user has invoked the `quit' statement.
- Method
  2.1.0.0
  System.Void Displays the using statements in effect at this point.
- Method
  2.1.0.0
  System.Void Shows all the variables defined so far.
- Method
  2.1.0.0
  System.TimeSpan `` The method to time. Times the execution of the given delegate The time it took for the method passed to execute. This is a very simple benchmarking tool.